<<

# Bugzilla::WebService::Server

- NAME
- DESCRIPTION
- FUNCTIONS
- SEE ALSO
- Methods in need of POD

# NAME

Bugzilla::WebService::Server - Base server class for the WebService API

# DESCRIPTION

Bugzilla::WebService::Server is the base class for the individual WebService API servers such as XMLRPC, JSONRPC, and REST. You never actually create a Bugzilla::WebService::Server directly, you only make subclasses of it.

# FUNCTIONS

`bz_etag`

  This function is used to store an ETag value that will be used when returning the data by the different API server modules such as XMLRPC, or REST. The individual webservice methods can also set the value earlier in the process if needed such as before a unique update token is added. If a value is not set earlier, an etag will automatically be created using the returned data except in some cases when an error has occurred.

# SEE ALSO

Bugzilla::WebService::Server::XMLRPC, Bugzilla::WebService::Server::JSONRPC, and Bugzilla::WebService::Server::REST.

# Methods in need of POD

handle_login
datetime_format_outbound
datetime_format_inbound

<<